[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomStringGrid.GetEditText

Gets the text displayed in the Editor for the specified cell.

## Declaration

Source position: grids.pas line 1785

`protected function TCustomStringGrid.GetEditText(`
`aCol: Integer;`
`aRow: Integer`
`):string; override;`

## Arguments

`aCol` |  | Column number for the cell value.
`aRow` |  | Row number for the cell value.

## Function result

Textual content for the cell at the specified column and row number.

## Description

GetEditText is an overridden method used to get the text displayed in the Editor for the cell with the specified column and row numbers. GetEditText re-implements the method defined in the ancestor class.

The return value contains the string stored in Cells at the specified column and row numbers.

GetEditText signals the OnGetEditText event handler (when assigned) to validate or modify the return value for the method.

## See also

TCustomGrid.GetEditText |  | Gets the text displayed in the Editor for the specified cell.
TCustomDrawGrid.GetEditText |  | Gets the text displayed in the Editor for the specified cell.